This is the multi-page printable view of this section. Click here to print.
UpdateDataFlow
1 - 1.2
put /v1/data-flows/{data_flow_id}
Description
update data flow by flow id
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_flow_id required | Cluster ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241s | string | None |
| body | body required | DataFlowBodyUpdate |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | DataFlowUpdateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flows/{data_flow_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.2"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"node_selector": ""
}
Example HTTP response
Response 202
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"count_data_flow_service": "",
"created_dt": "2024-01-15T10:30:00.000Z",
"data_flow_id": "",
"data_flow_name": "",
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"modified_dt": "2024-01-15T10:30:00.000Z",
"namespace_name": "",
"node_selector": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}
2 - 1.1
put /v1/data-flows/{data_flow_id}
Description
update data flow by flow id
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.1 | 20260930 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_flow_id required | Cluster ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241s | string | None |
| body | body required | DataFlowBodyUpdate |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | DataFlowUpdateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flows/{data_flow_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.1"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"node_selector": ""
}
Example HTTP response
Response 202
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"count_data_flow_service": "",
"created_dt": "2024-01-15T10:30:00.000Z",
"data_flow_id": "",
"data_flow_name": "",
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"modified_dt": "2024-01-15T10:30:00.000Z",
"namespace_name": "",
"node_selector": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}
3 - 1.0
put /v1/data-flows/{data_flow_id}
Description
update data flow by flow id
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_flow_id required | Cluster ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241s | string | None |
| body | body required | DataFlowBodyUpdate |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | DataFlowUpdateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flows/{data_flow_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.0"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"node_selector": ""
}
Example HTTP response
Response 202
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"count_data_flow_service": "",
"created_dt": "2024-01-15T10:30:00.000Z",
"data_flow_id": "",
"data_flow_name": "",
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"modified_dt": "2024-01-15T10:30:00.000Z",
"namespace_name": "",
"node_selector": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}